Page MenuHomeFreeBSD

games/devilutionX: update to 1.2.0
ClosedPublic

Authored by eduardo on Apr 8 2021, 9:44 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, May 20, 8:08 AM
Unknown Object (File)
Mon, May 20, 8:08 AM
Unknown Object (File)
Mon, May 20, 8:08 AM
Unknown Object (File)
Mon, May 20, 8:08 AM
Unknown Object (File)
Mon, May 20, 7:12 AM
Unknown Object (File)
Apr 21 2024, 8:41 PM
Unknown Object (File)
Mar 10 2024, 1:31 AM
Unknown Object (File)
Mar 4 2024, 5:57 AM
Subscribers

Details

Summary
games/devilutionX: update to 1.2.0

While here:
 
- set version correctly with -DVERSION_NUM=${PORTVERSION} (cmake)
- pet portclippy by using "_" prefix in local variable "MY_DEPENDS"

Changes:
https://github.com/diasurgical/devilutionX/releases/tag/1.2.0

Approved by:	dbaio, garga (mentors)
Differential Revision:	https://reviews.freebsd.org/D29638
Test Plan
portlint -C
FATAL: Makefile: [1]: incorrect header; simply use $FreeBSD$.
FATAL: Makefile: non-comment line in comment section.
FATAL: Makefile: no $FreeBSD$ line in comment section.
FATAL: Makefile: extra item "MAINTAINER" placed in the PORTNAME section.
FATAL: Makefile: extra item "COMMENT" placed in the PORTNAME section.
FATAL: Makefile: PORTNAME has to be there.
WARN: Makefile: PORTVERSION/DISTVERSION is set externally to this port's Makefile, but this port is not configured as a slave port.
WARN: Makefile: CATEGORIES is set externally to this port's Makefile, but this port is not configured as a slave port.
FATAL: Makefile: extra item "LICENSE" placed in the MAINTAINER section.
FATAL: Makefile: extra item "LICENSE_FILE" placed in the MAINTAINER section.
WARN: Makefile: COMMENT is set externally to this port's Makefile, but this port is not configured as a slave port.
FATAL: Makefile: extra item "_MY_DEPENDS" placed in the LICENSE section.
FATAL: Makefile: extra item "BUILD_DEPENDS" placed in the LICENSE section.
FATAL: Makefile: extra item "LIB_DEPENDS" placed in the LICENSE section.
FATAL: Makefile: extra item "RUN_DEPENDS" placed in the LICENSE section.
FATAL: /work/freebsd/ports/MOVED: malformed line at 16277.
 => 
WARN: /work/freebsd/ports/MOVED: seems to have unnecessary blank lines at the last part.
13 fatal errors and 4 warnings found.

Getting lot of portlint errors since we moved to git, can this be ignored?

poudriere testports logs:

114amd64 11.4-RELEASE-p8 amd64 2021-04-04
114i386 11.4-RELEASE-p8 i386 2021-04-04
122amd64 12.2-RELEASE-p5 amd64 2021-04-04
122i386 12.2-RELEASE-p5 i386 2021-04-04
140amd64 14.0-CURRENT amd64 2021-04-04
140i386 14.0-CURRENT i386 2021-04-04

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

While here:

  • set version correctly with -DVERSION_NUM=${PORTVERSION} (cmake) [1]
  • pet portclippy by using "_" prefix in local variable "MY_DEPENDS" [2]

log.txt

games/devilutionX/pkg-message
13–14

The message is only displayed on install, so, "if you are upgrading" is not needed, it will never be shown on upgrade.

update pkg-message to show message upon upgrade from old versions

games/devilutionX/pkg-message
15–18

An old version

Is pretty vague, is it valid for any upgrade?

For example, if that file needs to be removed each time the port is upgraded, then the removal should probably be automated.
On the other hand, if the file only existed up to a certain version of the port, then the message should be guarded by a version check. See the Porter's Handbook for examples.

eduardo marked an inline comment as done.

update pkg-message file message

This revision is now accepted and ready to land.Apr 24 2021, 1:41 PM
This revision was automatically updated to reflect the committed changes.
eduardo marked an inline comment as done.